# Visualization
TKV3d
StdSelect

# StdSelect Class Reference

The StdSelect package provides the following services
- the definition of selection modes for topological shapes
- the definition of several concrete filtertandard
Selection2d.ap classes
- 2D and 3D viewer selectors.
Note that each new Interactive Object must have all
its selection modes defined.
Standard Classes is useful to build
3D Selectable Objects, and to process
3D Selections:
- Implementation of View Selector for dynamic selection
in Views from V3d.
- Implementation of Tool class to decompose 3D BRep Objects
into sensitive Primitives for every desired mode of selection
(selection of vertex,edges,wires,faces,...)
- Implementation of dedicated Sensitives Entities:
Text for 2D Views (linked to Specific 2D projectors.)
.

`#include <StdSelect.hxx>`

## Public Member Functions

void * | operator new (size_t, void *anAddress)
void * | operator new (size_t size)
void | operator delete (void *anAddress)

## Static Public Member Functions

static Standard_EXPORT Select3D_Projector | GetProjector (const Handle(V3d_View)&aView)
| Returns the 3D projector for the view aView. .
static Standard_EXPORT void | SetDrawerForBRepOwner (const Handle(SelectMgr_Selection)&aSelection, const Handle(Prs3d_Drawer)&aDrawer)
| puts The same drawer in every BRepOwner Of SensitivePrimitive Used Only for hilight Of BRepOwner...

## Member Function Documentation

static Standard_EXPORT Select3D_Projector StdSelect::GetProjector | ( | const Handle(V3d_View)& | aView | ) | `[static]`

void StdSelect::operator delete | ( | void * | anAddress | ) | `[inline]`

void* StdSelect::operator new | ( | size_t | size | ) | `[inline]`

void* StdSelect::operator new | ( | size_t | ,
|  | void * | anAddress
| ) | `[inline]`

static Standard_EXPORT void StdSelect::SetDrawerForBRepOwner | ( | const Handle(SelectMgr_Selection)& | aSelection,
|  | const Handle(Prs3d_Drawer)& | aDrawer
| ) | `[static]`

The documentation for this class was generated from the following file:

- StdSelect.hxx